# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   pythonProject
# FileName:      conftest.py
# Author:       xxxxxxx
# Datetime:     2023/8/7 19:39
# Description:
# 
# ---------------------------------------------------------------------------
import pytest

from APIAutoTest_004.common.db import DB
from APIAutoTest_004.requests_method.requests_method import RequestsMethod


@pytest.fixture(scope="session")
def req_fix():
    req = RequestsMethod()
    yield req


@pytest.fixture(scope="session")
def db_fix():
    db = DB()
    yield db
    db.close()

def pytest_collection_modifyitems(items):
    # item表示每个测试用例，解决用例名称中文显示问题
    for item in items:
        item.name = item.name.encode("utf-8").decode("unicode-escape")
        item._nodeid = item._nodeid.encode("utf-8").decode("unicode-escape")